*{
    font-family: cursive;
    box-sizing: border-box;
}

body{
    height: 100vh;
    overflow: hidden;
    background-image: url(../img/earth.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

main{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

main > div{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 400px;
    width: 900px;
    flex-direction: row;
    gap: 10px;
    border-radius: 15px;
    background-color: hsla(0, 0%, 100%, 0.6);
    box-shadow: 0 0 50px 50px white inset;
}

#main-container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    flex-direction: column;
    gap: 50px;
}

.slider-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    height: 100%;
    padding: 5px;
}

.slider{
    transform: rotate(270deg);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: white;
    outline: none;
    border-radius: 5px;
    height: 5px;

}

.slider::-webkit-slider-thumb{
    -webkit-appearance: none;
    appearance: none;
    background: black;
    cursor: pointer;
    height: 20px;
    width: 20px;
    border-radius: 50%;
}

.slider::-moz-range-thumb{
    -moz-appearance: none;
    appearance: none;
    background: black;
    cursor: pointer;
    height: 20px;
    width: 20px;
    border-radius: 50%;
}

.slider-text{
    padding: 5px;
    width: 80px;
    display: flex;
    justify-content: center;
    justify-items: center;
    border-radius: 5px;
    background-color: white;
    border: none;
}

#mode-text{
    transform: translateX(-50%);
}

#rounds-text{
    transform: translateX(50%);
}

#textBox{
    position: relative;
    text-align: center;
    width: 20vw;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 3em;
    border-radius: 10px;
    background-color: white;
}

.select{
    position: relative;
    text-align: center;
    width: 20vw;
    height: 80px;
    border-radius: 10px;
    background-color: white;
    transition: box-shadow .5s ease;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 3em;
}

.select:hover{
    box-shadow: 0 0 5px 5px rgb(194, 182, 182) inset;
}

#leaderbordi{
    position: absolute;
    border: 3px solid;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(430px) translateY(-180px);
    cursor: pointer;
    transition: background-color .4s ease;
}

#leaderbordi:hover{
    background-color: rgba(64, 64, 251, 0.688);
}

#leaderbord{
    position: absolute;
    border: 3px solid;
    width: 900px;
    height: 400px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 15px;
    z-index: 2;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    display: none;
}

table{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

tr, td{
    padding: 10px;
    font-size: 1.2em;
}

